//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//


namespace MindFusion.Reporting.WinForms.Samples.CS.PieCharts
{
	partial class PieChartReport
	{
		private NwindDataSet nwindDataSet1;
		private NwindDataSetTableAdapters.Sales_by_CategoryTableAdapter sales_by_CategoryTableAdapter1;
		private MindFusion.Reporting.WinForms.Samples.CS.PieCharts.NwindDataSetTableAdapters.CategoriesTableAdapter categoriesTableAdapter1;
		private DataRange dataRange1;
		private DataRangeSection dataRangeSection1;
		private Label label1;
		private Label label2;
		private Label label3;
		private Label label4;
		private DataRange dataRange2;
		private Label label6;
		private Label label7;
		private Label label9;
		private Page page;

		private void InitializeComponent()
		{
			this.page = new MindFusion.Reporting.Page();
			this.dataRange2 = new MindFusion.Reporting.DataRange();
			this.nwindDataSet1 = new MindFusion.Reporting.WinForms.Samples.CS.PieCharts.NwindDataSet();
			this.label6 = new MindFusion.Reporting.Label();
			this.dataRange1 = new MindFusion.Reporting.DataRange();
			this.dataRangeSection1 = new MindFusion.Reporting.DataRangeSection();
			this.label1 = new MindFusion.Reporting.Label();
			this.label2 = new MindFusion.Reporting.Label();
			this.label3 = new MindFusion.Reporting.Label();
			this.label4 = new MindFusion.Reporting.Label();
			this.canvas1 = new MindFusion.Reporting.Canvas();
			this.pieChart = new MindFusion.Reporting.PieChart();
			this.label7 = new MindFusion.Reporting.Label();
			this.label9 = new MindFusion.Reporting.Label();
			this.line2 = new MindFusion.Reporting.Line();
			this.sales_by_CategoryTableAdapter1 = new MindFusion.Reporting.WinForms.Samples.CS.PieCharts.NwindDataSetTableAdapters.Sales_by_CategoryTableAdapter();
			this.categoriesTableAdapter1 = new MindFusion.Reporting.WinForms.Samples.CS.PieCharts.NwindDataSetTableAdapters.CategoriesTableAdapter();
			((System.ComponentModel.ISupportInitialize)(this.nwindDataSet1)).BeginInit();
			// 
			// page
			// 
			this.page.Items.Add(this.dataRange2);
			this.page.Items.Add(this.label7);
			this.page.Items.Add(this.label9);
			this.page.Items.Add(this.line2);
			this.page.Name = "page";
			// 
			// dataRange2
			// 
			this.dataRange2.AllowSplit = false;
			this.dataRange2.DataSource = this.nwindDataSet1.Categories;
			this.dataRange2.Items.Add(this.label6);
			this.dataRange2.Items.Add(this.dataRange1);
			this.dataRange2.Items.Add(this.pieChart);
			this.dataRange2.Location = new MindFusion.Reporting.Location(0F, MindFusion.Reporting.MeasureUnit.Percent, 12F, MindFusion.Reporting.MeasureUnit.Document);
			this.dataRange2.Margin = new MindFusion.Reporting.Margins(0F, 0F, 0F, 2F);
			this.dataRange2.Name = "dataRange2";
			this.dataRange2.Size = new MindFusion.Reporting.Dimension(100F, MindFusion.Reporting.MeasureUnit.Percent, 70F, MindFusion.Reporting.MeasureUnit.Document);
			// 
			// nwindDataSet1
			// 
			this.nwindDataSet1.DataSetName = "NwindDataSet";
			this.nwindDataSet1.SchemaSerializationMode = System.Data.SchemaSerializationMode.IncludeSchema;
			// 
			// label6
			// 
			this.label6.Background = new MindFusion.Drawing.SolidBrush("#1E000000");
			this.label6.FontSize = 12F;
			this.label6.FontStyle = System.Drawing.FontStyle.Bold;
			this.label6.Location = new MindFusion.Reporting.Location(0F, 0F);
			this.label6.Name = "label6";
			this.label6.Size = new MindFusion.Reporting.Dimension(100F, MindFusion.Reporting.MeasureUnit.PercentRemainder, 8F, MindFusion.Reporting.MeasureUnit.Document);
			this.label6.Text = "[CategoryID] [CategoryName]";
			// 
			// dataRange1
			// 
			this.dataRange1.AlternatingBackground = new MindFusion.Drawing.SolidBrush("#FFFFFFFF");
			this.dataRange1.Background = new MindFusion.Drawing.SolidBrush("#FFEFF3FA");
			this.dataRange1.DataSource = this.nwindDataSet1.Sales_by_Category;
			this.dataRange1.Header = this.dataRangeSection1;
			this.dataRange1.Items.Add(this.label3);
			this.dataRange1.Items.Add(this.label4);
			this.dataRange1.Items.Add(this.canvas1);
			this.dataRange1.Location = new MindFusion.Reporting.Location(1F, 17F);
			this.dataRange1.MasterDetailRelation = "Categories_Sales by Category";
			this.dataRange1.Name = "dataRange1";
			this.dataRange1.Size = new MindFusion.Reporting.Dimension(65F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			// 
			// dataRangeSection1
			// 
			this.dataRangeSection1.Background = new MindFusion.Drawing.SolidBrush("#FFD2D7E3");
			this.dataRangeSection1.Items.Add(this.label1);
			this.dataRangeSection1.Items.Add(this.label2);
			this.dataRangeSection1.Name = "dataRangeSection1";
			this.dataRangeSection1.Size = new MindFusion.Reporting.Dimension(65F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			// 
			// label1
			// 
			this.label1.FontStyle = System.Drawing.FontStyle.Bold;
			this.label1.LineAlignment = System.Drawing.StringAlignment.Far;
			this.label1.Location = new MindFusion.Reporting.Location(0F, 0F);
			this.label1.Name = "label1";
			this.label1.Padding = new MindFusion.Reporting.Margins(1F, 0F, 0F, 1F);
			this.label1.Size = new MindFusion.Reporting.Dimension(50F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			this.label1.Text = "Product";
			// 
			// label2
			// 
			this.label2.Alignment = System.Drawing.StringAlignment.Far;
			this.label2.FontStyle = System.Drawing.FontStyle.Bold;
			this.label2.LineAlignment = System.Drawing.StringAlignment.Far;
			this.label2.Location = new MindFusion.Reporting.Location(50F, MindFusion.Reporting.MeasureUnit.Percent, 0F, MindFusion.Reporting.MeasureUnit.Document);
			this.label2.Name = "label2";
			this.label2.Padding = new MindFusion.Reporting.Margins(0F, 0F, 1F, 1F);
			this.label2.Size = new MindFusion.Reporting.Dimension(36F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			this.label2.Text = "Sales";
			// 
			// label3
			// 
			this.label3.DataField = "ProductName";
			this.label3.Location = new MindFusion.Reporting.Location(0F, 0F);
			this.label3.Name = "label3";
			this.label3.Padding = new MindFusion.Reporting.Margins(1F, 0F, 0F, 0F);
			this.label3.Size = new MindFusion.Reporting.Dimension(50F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			// 
			// label4
			// 
			this.label4.Alignment = System.Drawing.StringAlignment.Far;
			this.label4.Location = new MindFusion.Reporting.Location(50F, MindFusion.Reporting.MeasureUnit.Percent, 0F, MindFusion.Reporting.MeasureUnit.Document);
			this.label4.Name = "label4";
			this.label4.Padding = new MindFusion.Reporting.Margins(0F, 0F, 1F, 0F);
			this.label4.Size = new MindFusion.Reporting.Dimension(36F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			this.label4.Text = "[ProductSales @ \"0.00\"]";
			// 
			// canvas1
			// 
			this.canvas1.DataField = "ProductName";
			this.canvas1.Location = new MindFusion.Reporting.Location(86F, MindFusion.Reporting.MeasureUnit.Percent, 0F, MindFusion.Reporting.MeasureUnit.Document);
			this.canvas1.Name = "canvas1";
			this.canvas1.Size = new MindFusion.Reporting.Dimension(14F, MindFusion.Reporting.MeasureUnit.Percent, 8F, MindFusion.Reporting.MeasureUnit.Document);
			this.canvas1.RenderContents += new System.EventHandler<MindFusion.Reporting.DrawCanvasEventArgs>(this.canvas1_RenderContents);
			// 
			// pieChart
			// 
			this.pieChart.ChartBrushes = new MindFusion.Drawing.BrushCollection("s:#FF525564,s:#FF74828F,s:#FFFEF6EB,s:#FF004C70,s:#FFF2635F,s:#FF0093D1,s:#FFF4D0" +
        "0C,s:#FFE0A025,s:#FF00AAA0,s:#FF462066,s:#FF96C0CE,s:#FFBEB9B5,s:#FFC25B56");
			this.pieChart.DataField = "ProductSales";
			this.pieChart.DataMember = "Sales by Category";
			this.pieChart.DataSource = this.nwindDataSet1;
			this.pieChart.InnerLabelsField = "ProductName";
			this.pieChart.InnerLabelType = MindFusion.Reporting.LabelType.Percents;
			this.pieChart.LabelFont = new System.Drawing.Font("Arial", 9F);
			this.pieChart.LegendFont = new System.Drawing.Font("Arial", 7.5F);
			this.pieChart.LegendOffset = 15F;
			this.pieChart.LegendPosition = MindFusion.Reporting.LegendPosition.Left;
			this.pieChart.Location = new MindFusion.Reporting.Location(66F, MindFusion.Reporting.MeasureUnit.Percent, 9F, MindFusion.Reporting.MeasureUnit.Document);
			this.pieChart.MasterDetailRelation = "Categories_Sales by Category";
			this.pieChart.Name = "pieChart";
			this.pieChart.OutlinePen = new MindFusion.Drawing.Pen("0/#FF483D8B/0/0/0//0/0/10/");
			this.pieChart.Size = new MindFusion.Reporting.Dimension(100F, MindFusion.Reporting.MeasureUnit.PercentRemainder, 60F, MindFusion.Reporting.MeasureUnit.Document);
			this.pieChart.SubTitleFont = new System.Drawing.Font("Arial", 11F);
			this.pieChart.TitleFont = new System.Drawing.Font("Arial", 12.5F);
			// 
			// label7
			// 
			this.label7.Color = System.Drawing.Color.FromArgb(((int)(((byte)(129)))), ((int)(((byte)(142)))), ((int)(((byte)(158)))));
			this.label7.FontSize = 16F;
			this.label7.FontStyle = System.Drawing.FontStyle.Bold;
			this.label7.Location = new MindFusion.Reporting.Location(2F, 2F);
			this.label7.Name = "label7";
			this.label7.Size = new MindFusion.Reporting.Dimension(112F, 8F);
			this.label7.Text = "Sales by Category";
			// 
			// label9
			// 
			this.label9.Alignment = System.Drawing.StringAlignment.Far;
			this.label9.Color = System.Drawing.Color.FromArgb(((int)(((byte)(129)))), ((int)(((byte)(142)))), ((int)(((byte)(158)))));
			this.label9.FontStyle = System.Drawing.FontStyle.Italic;
			this.label9.LineAlignment = System.Drawing.StringAlignment.Far;
			this.label9.Location = new MindFusion.Reporting.Location(80F, MindFusion.Reporting.MeasureUnit.Percent, 3F, MindFusion.Reporting.MeasureUnit.Document);
			this.label9.Name = "label9";
			this.label9.Size = new MindFusion.Reporting.Dimension(90F, MindFusion.Reporting.MeasureUnit.PercentRemainder, 6F, MindFusion.Reporting.MeasureUnit.Document);
			this.label9.Text = "[Today() @ \"dd MMM, yyyy\"]";
			// 
			// line2
			// 
			this.line2.Color = System.Drawing.Color.FromArgb(((int)(((byte)(129)))), ((int)(((byte)(142)))), ((int)(((byte)(158)))));
			this.line2.EndPoint = new MindFusion.Reporting.Location(100F, MindFusion.Reporting.MeasureUnit.PercentRemainder, 10F, MindFusion.Reporting.MeasureUnit.Document);
			this.line2.Name = "line2";
			this.line2.StartPoint = new MindFusion.Reporting.Location(0F, 10F);
			this.line2.Width = 1F;
			// 
			// sales_by_CategoryTableAdapter1
			// 
			this.sales_by_CategoryTableAdapter1.ClearBeforeFill = true;
			// 
			// categoriesTableAdapter1
			// 
			this.categoriesTableAdapter1.ClearBeforeFill = true;
			// 
			// PieChartReport
			// 
			this.FontName = "Tahoma";
			this.Pages.Add(this.page);
			((System.ComponentModel.ISupportInitialize)(this.nwindDataSet1)).EndInit();

		}

		private PieChart pieChart;
		private Canvas canvas1;
		private Line line2;
	}
}
